<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    android:orientation="vertical">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_top"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="15dp"
        android:background="@drawable/bg_stroke_070709"
        android:gravity="center"
        android:orientation="horizontal">


        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/fl_search_engine"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="10dp"
            android:background="?android:attr/selectableItemBackground"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/iv_search_engine"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/h_s_google"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:ignore="ContentDescription" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="-2dp"
                android:layout_marginBottom="-2dp"
                android:src="@mipmap/xuanze"
                app:layout_constraintBottom_toBottomOf="@id/fl_search_engine"
                app:layout_constraintEnd_toEndOf="@id/fl_search_engine"
                tools:ignore="ContentDescription" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <EditText
            android:selectAllOnFocus="true"
            android:id="@+id/edit_web"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginHorizontal="5dp"
            android:background="@null"
            android:clickable="true"
            android:focusable="true"
            android:gravity="center_vertical"
            android:hint="Search or enter website address"
            android:imeOptions="actionDone"
            android:inputType="textUri"
            android:paddingHorizontal="5dp"
            android:singleLine="true"
            android:textColorHint="#858587"
            android:textSize="14sp"
            app:layout_constraintEnd_toStartOf="@id/fl_search"
            app:layout_constraintStart_toEndOf="@id/fl_search_engine"
            tools:ignore="Autofill,HardcodedText,TextFields" />

        <LinearLayout
            android:id="@+id/fl_search"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="9.5dp"
            android:background="?android:attr/selectableItemBackground"
            android:orientation="horizontal"
            android:padding="5dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:ignore="ContentDescription">


            <ImageView
                android:id="@+id/iv_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@mipmap/s_guanbi"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tv_search"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="8dp"
                android:text="Search"
                android:textColor="#0571ED"
                android:textSize="16sp"
                android:visibility="gone"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_cancel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Cancel"
                android:textColor="#0571ED"
                android:textSize="16sp"
                tools:ignore="HardcodedText" />
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginVertical="10dp"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_search_tip" />


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_flow"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="15dp"
            android:visibility="gone" />

    </FrameLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:orientation="horizontal">


        <LinearLayout
            android:id="@+id/ll_fast_input_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="6dp"
            android:paddingBottom="6dp">

            <TextView
                android:id="@+id/tv_dian"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:paddingHorizontal="16dp"
                android:paddingVertical="2dp"
                android:text="."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />


            <TextView
                android:id="@+id/tv_www"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text="www."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_m"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text="m."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_wap"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text="wap."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />


            <TextView
                android:id="@+id/tv_xie_gang"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="16dp"
                android:paddingHorizontal="16dp"
                android:paddingVertical="2dp"
                android:text="/"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_fast_input_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone">

            <TextView
                android:id="@+id/tv_dian_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="16dp"
                android:paddingVertical="2dp"
                android:text="."
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_xie_gang_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="16dp"
                android:paddingVertical="2dp"
                android:text="/"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_com"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text=".com"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_net"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text=".net"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_org"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text=".org"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_cn"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:paddingHorizontal="8dp"
                android:paddingVertical="2dp"
                android:text=".cn"
                android:textColor="@color/black"
                android:textSize="15sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>